<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Decl. SUIF in Builder</TITLE>
<link href="builder_40.html" rel=Next>
<link href="builder_38.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_38.html">previous</A>, <A HREF="builder_40.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC72" HREF="builder_toc.html#TOC72">Incorporating Existing SUIF When Building New Structures</A></H2>
<P>
<A NAME="IDX666"></A>
<A NAME="IDX667"></A>

</P>


<PRE>
     block &#38; expr(instruction * asn) 
<A NAME="IDX668"></A><A NAME="IDX669"></A>     block(instruction * in)
<A NAME="IDX670"></A>     block(operand * op)
     block(operand &#38; op)   
<A NAME="IDX671"></A><A NAME="IDX672"></A><A NAME="IDX673"></A><A NAME="IDX674"></A>     block(tree_node * tn, 
           boolean duplicate=FALSE)
     block(tree_node_list *tnl,
           boolean duplicate=FALSE)
<A NAME="IDX675"></A><A NAME="IDX676"></A><A NAME="IDX677"></A><A NAME="IDX678"></A><A NAME="IDX679"></A>     block &#38; statement(tree_node *, 
                       boolean duplicate=FALSE)
<A NAME="IDX680"></A>     block &#38; statement(tree_node_list *, 
                       boolean duplicate=FALSE)
<A NAME="IDX681"></A>    block &#38; statement(instruction *)
<A NAME="IDX682"></A><A NAME="IDX683"></A><A NAME="IDX684"></A><A NAME="IDX685"></A><A NAME="IDX686"></A><A NAME="IDX687"></A></PRE>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_38.html">previous</A>, <A HREF="builder_40.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
